Subject: bug#3053: "emacsclient -a emacs" produces "No server editing

From: Stefan Monnier <[email-masked]>
Date: Fri, 24 Apr 2009 23:34:20 -0400

>>>   $ ./emacsclient -a "../src/emacs" ../Makefile
>> 
>> Any reason why you didn't try the "-a ''" that I suggested?
>> I.e. ./emacsclient -a "" ../Makefile

> Because I get an error:

> [2009-04-25 03:10:40] danai@danai:/usr/src/EMACS_PRETEST_23_0_92/lib-src
>   $ ./emacsclient -a "" ../Makefile
> ./emacsclient: can't find socket; have you started the server?
> To start the server in Emacs, type "M-x server-start".

> In Emacs I get a Backtrace with the following output:

> Debugger entered--Lisp error: (error "Unknown option `--daemon'")
>   signal(error ("Unknown option `--daemon'"))
>   error("Unknown option `%s'" "--daemon")
>   command-line-1(("--daemon"))
>   command-line()
>   normal-top-level()

Looks like `emacsclient' finds an older `emacs' which doesn't understand
the --daemon argument.  Can you try to make sure that the `emacs' in the
PATH is 23.0.92?

        Stefan